Subject: Re: bug#20398: 25.0.50; Clicking `window-divider-last-pixel' in help for `window-divider'

From: Stefan Monnier <[email-masked]>
Date: Sun, 03 May 2015 21:56:02 -0400

>> I'll have to try and investigate it, to see how/if I could help you with it,
> It's been already reported as Bug#19185.  The only solution I can think
> of is the trivial one below.

Oh, yes I investigated already and IIRC the problem is in
widget-button-click: it's bound to the down-event but is really
a binding for the up event.

IIRC I didn't manage to fully understand the problem, but my impression
that widget-button-click should be split into two parts: one part bound
to the down-event (which would mostly do the "redraw the button as
pressed") and another bound to the up-event (which performs the actual
action associated with the click).

So I think the workaround you suggest is not that bad.  It's not a full
solution, but it does go in the right direction.

        Stefan